Resets the approval status of the specified banners back to NEW, allowing them to go through the approval workflow again.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/banners/reaprove.do
Resets the approval status of the specified banners back to NEW, allowing them to go through the approval workflow again. Accepts an array of banner IDs; an id that is no banner, or a deleted one, is refused with 400 and nothing changes. The response is the JSON array of the ids whose status changed.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/banners/reaprove.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
request.Content = new FormUrlEncodedContent(new Dictionary<string, string> { ["bannerIds"] = "3001" });
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());